Name:		pyhoca-gui
Version:	0.2.1.0
Release:	%mkrel 2
Summary:	A graphical client for X2Go using the Python X2Go API
License:	GPLv3
Group:		Networking/Remote access
Url:		http://www.x2go.org/
BuildArch:	noarch

Source0:	http://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz
Patch0:		pyhoca-gui_0.1.0.10-mga-remove-desktops-not-on-mga.patch

BuildRequires:	python-distutils-extra
BuildRequires:	intltool
BuildRequires:  python-setuptools
BuildRequires:  pythonegg(python-xlib)
BuildRequires:	pythonegg(wxpython)
BuildRequires:	pythonegg(x2go)
Buildrequires:	pythonegg(distribute)
BuildRequires:	pythonegg(greenlet)
# pygtk2 is needed because otherwise pynotify is not found. Should be fixed in
# python-notify
BuildRequires:	pygtk2
BuildRequires:	pkgconfig(notify-python)
BuildRequires:	pythonegg(pycups)

Requires:	python-setproctitle
Requires:	python-x2go
Requires:	python-notify
Requires:	pygtk2
Requires:   pythonegg(wxpython)
Requires:   pythonegg(pycups)
Requires:   nxproxy

%description
The name PyHoca is a word play combining two powerful entities: Python and
Phoca (mascot of X2go, Latin species name for seals).
PyHoca-GUI is a client implementation for X2Go using the project's Python X2Go
client API (a Python module). PyHoca-GUI uses wxPython for rendering graphical
desktop elements (menus, dialog boxes etc.).

%prep
%setup -q
%apply_patches

%build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
# install missing files
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/icons/PyHoca
mkdir -p %{buildroot}%{_datadir}/pyhoca/img
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/applications

install -m0755 pyhoca-gui %{buildroot}%{_bindir}
install -m0644 man/man1/pyhoca-gui.1 %{buildroot}%{_mandir}/man1
install -m0644 img/pyhoca-* %{buildroot}%{_datadir}/pyhoca/img
install -m0644 pixmaps/pyhoca* %{buildroot}%{_datadir}/pixmaps
install -m0644 desktop/pyhoca-gui.desktop %{buildroot}%{_datadir}/applications
cp -a icons/PyHoca/* %{buildroot}%{_datadir}/icons/PyHoca
touch %{buildroot}%{python_sitelib}/pyhoca/__init__.py

# fix the desktop file
desktop-file-edit --remove-key=Categories %{buildroot}%{_datadir}/applications/pyhoca-gui.desktop
desktop-file-edit --add-category=Network %{buildroot}%{_datadir}/applications/pyhoca-gui.desktop
desktop-file-edit --remove-key=Encoding %{buildroot}%{_datadir}/applications/pyhoca-gui.desktop

%files
%dir %{python_sitelib}/pyhoca
%{python_sitelib}/pyhoca/wxgui
%{python_sitelib}/pyhoca/__init__.py
%{python_sitelib}/PyHoca_GUI*
%{_datadir}/locale/*/LC_MESSAGES/PyHoca-GUI.mo
%{_bindir}/pyhoca-gui
%{_datadir}/applications/pyhoca-gui.desktop
%{_iconsdir}/PyHoca/*/*
%{_datadir}/pixmaps/*
%{_datadir}/pyhoca
%{_mandir}/man1/*



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.2.1.0-2.mga3
+ Revision: 378412
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 obgr_seneca <obgr_seneca> 0.2.1.0-1.mga3
+ Revision: 330121
- new version

* Fri Aug 31 2012 obgr_seneca <obgr_seneca> 0.2.0.4-1.mga3
+ Revision: 286649
- New version

* Tue Aug 14 2012 obgr_seneca <obgr_seneca> 0.2.0.3-1.mga3
+ Revision: 281336
- New version

* Wed Aug 08 2012 obgr_seneca <obgr_seneca> 0.2.0.1-4.mga3
+ Revision: 279973
-added missing Requires for python-cups

* Fri Jul 13 2012 obgr_seneca <obgr_seneca> 0.2.0.1-3.mga3
+ Revision: 270572
- Added missing requires for nxproxy

* Fri Jul 13 2012 obgr_seneca <obgr_seneca> 0.2.0.1-2.mga3
+ Revision: 270563
- added missing Require for wxPython

* Tue Jul 03 2012 obgr_seneca <obgr_seneca> 0.2.0.1-1.mga3
+ Revision: 266931
- Add missing BR for pythonsetuptools
- Add missing BR for python-xlib
- New version 0.2.0.1

* Mon Mar 12 2012 obgr_seneca <obgr_seneca> 0.1.0.10-2.mga2
+ Revision: 223081
- added python-cups as BR
- added pygtk2 as BR because otherwiese pynotify is not found
- this is a workarround that should be fixed in python-notify
- added missing BR on python-notify
- add BR on python-greenlet
- changed BR on setuptools
- added missing BR on python-setuptools
- imported package pyhoca-gui

